Summary:        nde-style theme for Qt-based applications
Name:           nde-style
Version:        0.0.1
Release:        14%{?dist}
License:        LGPLv2+
Source0:        nde-style-%{version}.tar.gz
BuildRequires:  cmake, gcc, gcc-c++, nde-lib-devel, glib2-devel
BuildRequires:  kf5-kwindowsystem-devel, libstatgrab-devel
BuildRequires:  qt5-linguist, qt5-qtbase-devel, libqtxdg-devel
Requires: nde-qtxdg
Requires: nde-lib



%description
Theme to let Qt applications fit nicely into nde-style desktop

%package qt5
Summary:        nde-style Qt5 theme

%description qt5
nde-style theme variant for applications utilizing Qt5



%prep
%setup -q -n %{name}-%{version}



%build
%{cmake}
%{cmake_build}


%install
%{cmake_install}
mkdir -p %{buildroot}/usr/bin/
cp %{_target_platform}/demo/showcase %{buildroot}/usr/bin/



%files -n nde-style-qt5
%license LICENSE.LGPL2
%doc README.md
%{_qt5_plugindir}/styles/ndestyle.so
%{_bindir}/showcase



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-14
- small fix

* Wed Sep 02 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-13
- 修复tabbar获取上一个页面宽度问题

* Wed Aug 26 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-12
- 修改部分效果的大小

* Tue Aug 4 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-10
- 按钮字体选中变白

* Fri Jul 31 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-9
- 修改复选框重影问题

* Mon Jul 6 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-8
- 修改选择框颜色

* Fri Jul 3 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-7
- 修改选中字体框圆角

* Fri Jun 19 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-6
- 修改toolbutton，treeview点击选中背景颜色

* Thu May 28 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-5
- fix crash when clicking button in ssh connection

* Mon May 25 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-4
- 添加qemnu样式，与下拉框相同；修改下拉框失能样式和边框处理

* Thu May 21 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-3
- 修复第一次更换主题时下拉框的样式错误

* Thu May 21 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- 把改动更新进来，修复下拉框Bug和样式

* Sat May 16 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 1.1.0-5
- 修改Qt风格主题名为Light和Dark
